> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete

> Delete soft-deletes an MCP tool. It reappears as PENDING_REVIEW if the
 connector rediscovers it on the next sync.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples delete /api/v1/apps/{app_id}/connectors/{connector_id}/mcp_tools/{id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/{connector_id}/mcp_tools/{id}:
    delete:
      tags:
        - MCP Tools
      summary: Delete
      description: |-
        Delete soft-deletes an MCP tool. It reappears as PENDING_REVIEW if the
         connector rediscovers it on the next sync.
      operationId: c1.api.ai_governance.v1.MCPToolService.Delete
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: App identifier.
            type: string
        - in: path
          name: connector_id
          required: true
          schema:
            description: Connector identifier.
            type: string
        - in: path
          name: id
          required: true
          schema:
            description: Unique identifier for the MCP tool.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.ai_governance.v1.MCPToolServiceDeleteRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.MCPToolServiceDeleteResponse
          description: MCPToolServiceDeleteResponse confirms deletion.
      x-codeSamples:
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.mcpTool.delete({
                appId: "<id>",
                connectorId: "<id>",
                id: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.ai_governance.v1.MCPToolServiceDeleteRequestInput:
      description: MCPToolServiceDeleteRequest deletes an MCP tool (soft delete).
      title: Mcp Tool Service Delete Request
      type: object
      x-speakeasy-name-override: MCPToolServiceDeleteRequest
    c1.api.ai_governance.v1.MCPToolServiceDeleteResponse:
      description: MCPToolServiceDeleteResponse confirms deletion.
      title: Mcp Tool Service Delete Response
      type: object
      x-speakeasy-name-override: MCPToolServiceDeleteResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````